<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Villages extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		$this->load->model('miscellaneous_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');
		$this->load->library('excel');
	}

	public function index(){ }

	// ==== excels -=============== 
	public function excels(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'excels';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Excel Uploads | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/villages/add');
		$this->load->view('pages/inc/footer');
	}

	public function SaveExcels(){
		$post = $this->input->post();

		$path = $_FILES["file"]["tmp_name"];
		$object = PHPExcel_IOFactory::load($path);
		foreach($object->getWorksheetIterator() as $worksheet){
			
			$highestRow = $worksheet->getHighestRow();
			$highestColumn = $worksheet->getHighestColumn();
			for($row=2; $row<=$highestRow; $row++){
				for($k=0; $k <= $totalDays; ++$k){
					
					$vill_name = $worksheet->getCellByColumnAndRow(0, $row)->getValue();
					$country_name = $worksheet->getCellByColumnAndRow(1, $row)->getValue();
					$state_name = $worksheet->getCellByColumnAndRow(2, $row)->getValue();
					$city_name = $worksheet->getCellByColumnAndRow(3, $row)->getValue();
					$tehsil_name = $worksheet->getCellByColumnAndRow(4, $row)->getValue();
					$block_name = $worksheet->getCellByColumnAndRow(5, $row)->getValue();

					if( !empty($vill_name) && !empty($country_name) && !empty($state_name) && !empty($city_name) && !empty($tehsil_name) && !empty($block_name) ){
						// Insert Or Get Id Country
						$seaExist = $this->db->query("SELECT id FROM tbl_countries WHERE name = '".$country_name."'");
						if($seaExist->num_rows() > 0) {
							foreach($seaExist->result() as $rowId){
								$country_id = $rowId->id;
							}
						} else {
							$data=array(
								'name' => $country_name
							);
							$this->home_model->insert('tbl_countries', $data);
							$country_id = $this->db->insert_id();
							$data1 = array(
								'id_hash' => md5($country_id)
							);
							$this->home_model->update('tbl_countries', $data1, $country_id);
						}


						// Insert Or Get Id State
						$seaExist = $this->db->query("SELECT id FROM tbl_states WHERE name = '".$state_name."'");
						if($seaExist->num_rows() > 0) {
							foreach($seaExist->result() as $rowId){
								$state_id = $rowId->id;
							}
						} else {
							$data=array(
								'name' => $state_name,
								'country_id' => $country_id
							);
							$this->home_model->insert('tbl_states', $data);
							$state_id = $this->db->insert_id();
							$data1 = array(
								'id_hash' => md5($state_id)
							);
							$this->home_model->update('tbl_states', $data1, $state_id);
						}



						// Insert Or Get Id City
						$seaExist = $this->db->query("SELECT id FROM tbl_cities WHERE name = '".$city_name."'");
						if($seaExist->num_rows() > 0) {
							foreach($seaExist->result() as $rowId){
								$city_id = $rowId->id;
							}
						} else {
							$data=array(
								'name' => $city_name,
								'country_id' => $country_id,
								'state_id' => $state_id
							);
							$this->home_model->insert('tbl_cities', $data);
							$city_id = $this->db->insert_id();
							$data1 = array(
								'id_hash' => md5($city_id)
							);
							$this->home_model->update('tbl_cities', $data1, $city_id);
						}


						// Insert Or Get Id Tehsil
						$seaExist = $this->db->query("SELECT id FROM tbl_tehsil WHERE name = '".$tehsil_name."'");
						if($seaExist->num_rows() > 0) {
							foreach($seaExist->result() as $rowId){
								$tehsil_id = $rowId->id;
							}
						} else {
							$data=array(
								'name' => $tehsil_name,
								'country_id' => $country_id,
								'state_id' => $state_id,
								'city_id' => $city_id,
							);
							$this->home_model->insert('tbl_tehsil', $data);
							$tehsil_id = $this->db->insert_id();
							$data1 = array(
								'id_hash' => md5($tehsil_id)
							);
							$this->home_model->update('tbl_tehsil', $data1, $tehsil_id);
						}


						// Insert Or Get Id Block
						$seaExist = $this->db->query("SELECT id FROM tbl_block WHERE name = '".$block_name."'");
						if($seaExist->num_rows() > 0) {
							foreach($seaExist->result() as $rowId){
								$block_id = $rowId->id;
							}
						} else {
							$data=array(
								'name' => $block_name,
								'country_id' => $country_id,
								'state_id' => $state_id,
								'city_id' => $city_id,
								'tehsil_id' => $tehsil_id
							);
							$this->home_model->insert('tbl_block', $data);
							$block_id = $this->db->insert_id();
							$data1 = array(
								'id_hash' => md5($block_id)
							);
							$this->home_model->update('tbl_block', $data1, $block_id);
						}



						// Insert Or Get Id Village
						$seaExist = $this->db->query("SELECT id FROM tbl_village WHERE name = '".$vill_name."'");
						if($seaExist->num_rows() > 0) {
							foreach($seaExist->result() as $rowId){
								$vill_id = $rowId->id;
							}
						} else {
							$data=array(
								'name' => $vill_name,
								'country_id' => $country_id,
								'state_id' => $state_id,
								'city_id' => $city_id,
								'tehsil_id' => $tehsil_id,
								'block_id' => $block_id
							);
							$this->home_model->insert('tbl_village', $data);
							$vill_id = $this->db->insert_id();
							$data1 = array(
								'id_hash' => md5($vill_id)
							);
							$this->home_model->update('tbl_village', $data1, $vill_id);
						}

					}
					
					
				}
			}
		}

		$this->session->set_flashdata('success', 'Location Inserted Successfully!!!');
		redirect(base_url('villages/excels'));

	}

	
	
}
