<?php
  $sql = $this->db->query("SELECT * FROM tbl_user WHERE id = '".$id."'");
  foreach($sql->result() as $row){
?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Update Territory</h5>
              </div>
              <div class="col-md-6 text-right">
                  <a class="btn btn-primary btn-xs" href="<?=base_url('distributer/view');?>">View All Distributer</a>
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
            
            <form class="validateForm" method="post" action="<?=base_url('distributer/updateDistributer');?>" enctype="multipart/form-data">
            <input type="hidden" name="id" value="<?=$id;?>">
            <div class="row">

                <h4 class="col-md-12">Assigned Territory</h4>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Country</label>
                    <select class="form-control select2" name="country_terr" onchange="getState1(this.value)">
                      <option value="">Select Country</option>
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_countries` WHERE 1");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option <?php if($row->country_terr == $rowD->id){ echo "selected"; } ?> value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>State</label>
                    <select class="form-control select2" id="type11" name="state_terr" onchange="getCity1(this.value)">
                      <option value="">Select State</option>
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_states` WHERE 1 AND country_id = '".$row->country_terr."'");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option <?php if($row->state_terr == $rowD->id){ echo "selected"; } ?> value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>

                <div class="col-md-12"></div>

                <div class="col-md-12">
                  <div class="form-group">
                    <label>District</label>
                    <div class="row">
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_cities` WHERE 1 AND state_id = '".$row->state_terr."'");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <div class="col-md-3">
                        <?=$rowD->name;?>
                        </div>
                      <?php } ?>
                    </div>
                    



                    <select class="form-control select2" id="type21" name="city_terr" onchange="getTehsil1(this.value)" multiple="multiple">
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_cities` WHERE 1 AND state_id = '".$row->state_terr."'");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option  value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>

                <div class="col-md-12"></div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Tehsil</label>
                    <select class="form-control select2" id="type31" name="tehsil_terr" multiple="multiple">
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_tehsil` WHERE 1 AND city_id = '".$row->city_terr."'");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option <?php if($row->tehsil_terr == $rowD->id){ echo "selected"; } ?> value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>

                
                
                <div class="col-md-12">
                  <div class="form-group">
                    <input type="submit" class="btn btn-primary" value="Update" >
                  </div>
                </div>


            </div>
            </form>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  <?php } ?>


 
  

  <script type="text/javascript">
    function getState1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('distributer/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type11").html(response);
          },
      });
    }

    function getCity1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('distributer/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type21").html(response);
          },
      });
    }

    function getTehsil1(id){
      var id = id;
      var city = $('#type21').val();
      
      $.ajax({
          url: "<?=base_url('distributer/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+city,
          success: function (response) {
            console.log(response);
              $("#type31").html(response);
          },
      });
    }

  </script>

