

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Edit Package Order</h5>
              </div>
              <div class="col-md-6 text-right">
                  <a class="btn btn-primary btn-xs" href="<?=base_url('enquiry/view');?>">Manage Package Order</a>
              </div>
            </div>
          </div>
          <div class="card-body">
            
            
            <form class="validateForm" method="post" action="<?=base_url('enquiry/updateEnquiry');?>">
            <input type="hidden" name="id" value="<?=$id;?>">
            <div class="row">
              <div class="col-md-3">
                <div class="card card-default">
                    <div class="card-header">
                      <h3 class="card-title"></h3>
                    </div>
                    <div class="card-body">
                      <span class="fa fa-hand-o-right fa-2x"></span>
                      <h5>Choose Package</h5> 
                    </div>
                    <div class="card-footer">
                      
                    </div>
                </div>
              </div>
              <?php
                $i=1;
                $sql = $this->db->query("SELECT * FROM tbl_package WHERE 1 ORDER BY id DESC ");
                foreach($sql->result() as $row){
              ?>
              <div class="col-lg-3 col-3">
                <div class="card card-default">
                    <div class="card-header">
                      <h3 class="card-title"><?=$row->name;?></h3>
                    </div>
                    <div class="card-body">
                      <img src="<?=base_url('assets/uploads/'.$row->image);?>" style="width: 100%; margin-bottom: 10px;">
                      <?=$row->description;?>
                    </div>
                    <div class="card-footer">
                      
                      <div class="icheck-primary d-inline">
                        <input type="radio" id="radioPrimary<?=$row->id;?>" name="package" <?php if($package == $row->id){ echo "checked";} ?> value="<?=$row->id;?>">
                        <label for="radioPrimary<?=$row->id;?>"> Choose</label>
                      </div> 
                      <span class="pull-right"><span class="fa fa-inr"></span> <?=number_format($row->price);?></span>
                    </div>
                </div>
              </div>
              <?php ++$i; } ?>
            </div>

<hr>
            <div class="row">
                <div class="col-md-8 offset-2">
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Order For</label>
                        <select name="user" class="form-control select2" required>
                          <option value="">Select</option>
    <?php
      if($this->session->userdata('sess_cust_type') == '2'){
        $sqlQry = " AND distributer = '".$this->session->userdata('sess_id')."'";
      } else if($this->session->userdata('sess_cust_type') == '3'){
        $sqlQry = " AND dealer = '".$this->session->userdata('sess_id')."'";
      } else if($this->session->userdata('sess_cust_type') == '4'){
        $sqlQry = " AND csc = '".$this->session->userdata('sess_id')."'";
      } else if($this->session->userdata('sess_cust_type') == '5'){
        $sqlQry = " AND id = '".$this->session->userdata('sess_id')."'";
      } else {
        $sqlQry = " ";
      }
      $sqlUsr = $this->db->query("SELECT id, title, name, cust_type FROM tbl_user WHERE 1 AND cust_type !='1' {$sqlQry} ORDER BY name, cust_type ASC");
      foreach($sqlUsr->result() as $rowUsr){
    ?>
                          <option <?php if($users == $rowUsr->id){ echo "selected"; } ?> value="<?=$rowUsr->id;?>">(SAPSON<?=$rowUsr->id;?>) <?=$rowUsr->title;?> <?=$rowUsr->name;?> <?php if($rowUsr->cust_type == '2'){ echo " -(Distributer)";} else if($rowUsr->cust_type == '3'){ echo " -(Dealer)"; } else if($rowUsr->cust_type == '4'){ echo " -(CSC Center)"; } else { echo " -(Customer)";} ?> </option>
    <?php } ?>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Distributer</label>
                        <select name="distributer" class="form-control select2" required>
                          <option value="">Select</option>
    <?php
      if($this->session->userdata('sess_cust_type') == '1'){
        $sqlQry = " ";
      } else if($this->session->userdata('sess_cust_type') == '2') {
        $sqlQry = " AND id = '".$this->session->userdata('sess_distributer')."'";
      } else {
        $sqlQry = " AND id = '".$this->session->userdata('sess_distributer')."'";
      }
      $sqlUsr = $this->db->query("SELECT id, title, name FROM tbl_user WHERE 1 AND cust_type ='2' {$sqlQry} ORDER BY name ASC");
      foreach($sqlUsr->result() as $rowUsr){
    ?>
                          <option <?php if($distributer == $rowUsr->id){ echo "selected"; } ?> value="<?=$rowUsr->id;?>"><?=$rowUsr->title;?> <?=$rowUsr->name;?></option>
    <?php } ?>
                        </select>
                      </div>
                    </div>
                  </div>
                  
                  
                  <div class="form-group">
                    <label>Comments</label>
                    <textarea class="summernote" name="comments"><?=$comments;?></textarea>
                  </div>
                  
                  <div class="form-group">
                    <label></label>
                    <input type="submit" class="btn btn-primary" value="Update Order" >
                  </div>
                </div>
                
              
            </div>
            </form>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

