<?php
  $sql = $this->db->query("SELECT * FROM tbl_package WHERE id = '".$id."' ");
  foreach($sql->result() as $row){
?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Update Package</h5>
              </div>
              <div class="col-md-6 text-right">
                  
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
            
            <form class="validateForm" method="post" action="<?=base_url('package/updatePackageName');?>" enctype="multipart/form-data">
            <input type="hidden" name="id" value="<?=$row->id;?>">
            <input type="hidden" name="current_photo" value="<?=$row->image;?>">
            <div class="row">
                <div class="col-md-3">
                  <div class="form-group">
                    <label> Name</label>
                    <input type="text" required name="name" class="form-control" value="<?=$row->name;?>" >
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Price</label>
                    <input type="number" required name="price" class="form-control" value="<?=$row->price;?>" >
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Commission</label>
                    <div class="row">
                      <div class="col-md-5">
                        <select class="form-control select2" name="comm_type">
                          <option value="">Select</option>
                          <option <?php if($row->comm_type == 'Flat'){ echo "selected";} ?> value="Flat">Flat</option>
                          <option <?php if($row->comm_type == 'Percentage'){ echo "selected";} ?> value="Percentage">Percentage</option>
                        </select>
                      </div>
                      <div class="col-md-7">
                        <input type="number" step="any" name="comm_val" class="form-control" value="<?=$row->comm_val;?>" >
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Image</label>
                    <input type="file" name="photo" class="form-control" >
                  </div>
                </div>
                
                <div class="col-md-12">
                  <div class="form-group">
                    <label>Description</label>
                    <textarea class="summernote" name="description"><?=$row->description;?></textarea>
                  </div>
                </div>
                <div class="col-md-9">
                  <div class="form-group">
                    <input type="submit" class="btn btn-primary btn-sm" value="Update" >
                  </div>
                </div>

                <div class="col-md-3 text-right">
                  <div class="form-group">
                  <img src="<?=base_url('assets/uploads/'.$row->image);?>" style="max-width: 150px; border: 1px solid #ccc; padding: 6px">
                  <h6>Image</h6>
                  </div>
                </div>
                
              
            </div>
            </form>
            
          </div>
          <div class="card-footer">

          </div>
        </div>



        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->





<?php } ?>