<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title> Log in | LENTO</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/fontawesome-free/css/all.min.css">
  <!-- icheck bootstrap -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>dist/css/adminlte.min.css">
  <link rel="stylesheet" href="<?=base_url('assets/style.css');?>">
  <style type="text/css">
    .input-group>.custom-select:not(:last-child), .input-group>.form-control:not(:last-child){
      border-top-right-radius: 20px;
      border-bottom-right-radius: 20px;
    }
    .field-icon {
        margin-top: 15px;
    z-index: 9999;
    position: absolute;
    right: 20px;
    }
  </style>
</head>
<body class="hold-transition login-page" style="background-image: url('<?=base_url('assets/');?>/lento-bg.png');">
<div class="login-box">
    <div class="logo-lentoindia">
        <img src="<?=base_url('assets/');?>/lento-logo.png" alt="">
    </div>
  <!--<h4>Supplier <br> Management</h4>-->
  
  <!-- /.login-logo -->
  <div class="card1">
    <div class="card-body login-card-body1">
      <?php if ($this->session->flashdata('success')) { ?>
          <div class="alert alert-success" style="width: 100%; margin-bottom: 0;"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
          <br>
      <?php } ?>
      <?php if ($this->session->flashdata('error')) { ?>
          <div class="alert alert-danger" style="width: 100%; margin-bottom: 0;"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
          <br>
      <?php } ?>
      

      <form action="<?=base_url('home/userLogin');?>" method="post">
        <div class="input-group mb-3">
          <input type="text" name="u_name" class="form-control" placeholder="Enter Email Id/Phone No">
        </div>
        <div class="input-group mb-3">
          <input type="password" name="u_pass" class="form-control password-field" placeholder="Password">
          <span toggle=".password-field" class="fa fa-fw fa-eye field-icon toggle-password"></span>
        </div>
        <div class="row">
          <!-- /.col -->
          <div class="col-12">
            <button type="submit" class="btn btn-primary btn-block">Enter to Login</button>
            <p class="mt-2">If You don't have Account. <a href="<?=base_url('home/register');?>">Register Here..<a></p>
          </div>
          <!-- /.col -->
        </div>
      </form>

      
      <!-- /.social-auth-links -->
      <br>
      <p class="mb-1">
        <!--<a href="<?=base_url('forgot-password.html');?>">I forgot my password</a>-->
      </p>
    </div>
    <!-- /.login-card-body -->
  </div>
</div>
<!-- /.login-box -->

<!-- jQuery -->
<script src="<?=base_url('assets/');?>plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="<?=base_url('assets/');?>plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="<?=base_url('assets/');?>dist/js/adminlte.min.js"></script>
<script type="text/javascript">
  $(".toggle-password").click(function() {

    $(this).toggleClass("fa-eye fa-eye-slash");
    var input = $($(this).attr("toggle"));
    if (input.attr("type") == "password") {
      input.attr("type", "text");
    } else {
      input.attr("type", "password");
    }
  });
</script>
</body>
</html>
