

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Manage Support</h5>
              </div>
              <div class="col-md-6 text-right">
                  <a class="btn btn-primary btn-xs" href="<?=base_url('support/add');?>">Add New Support</a>
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
              

            <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr class="bg-blue-head">
                <th width="1">SNo.</th>
                <th>SupportForUID</th>
                <th>SupportFor</th>
                <th>SupportForType</th>
                <th>Subject</th>
                <th>Comments</th>
                <th>AddDate</th>
                <th>Distributer</th>
                <th>Dealer</th>
                <th>CSC</th>
                <th>Status</th>
                <th width="1"></th>
                <th width="1"></th>
                <?php if( $this->session->userdata('sess_cust_type') == '1'){ ?>
                <th width="1"></th>
                <?php } ?>
              </tr>
              </thead>
              <tbody>
              <?php
                $i=1;
                
                if($this->session->userdata('sess_cust_type') == '2'){
                  $sqlQry = " AND b.distributer = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '3'){
                  $sqlQry = " AND b.dealer = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '4'){
                  $sqlQry = " AND b.csc = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '5'){
                  $sqlQry = " AND b.id = '".$this->session->userdata('sess_id')."'";
                } else {
                  $sqlQry = " ";
                }
                $sql = $this->db->query("SELECT a.*, b.name as support_for, b.id as support_id, b.cust_type, b.distributer, b.dealer, b.csc FROM tbl_support a, tbl_user b WHERE a.users = b.id {$sqlQry} ORDER BY a.id DESC");
                foreach($sql->result() as $row){
              ?>
              <tr>
                <td class="text-center"><?=$i;?> <span class="badge badge-warning" data-toggle="tooltip" data-placement="right" title="Notification"><?=$row->notification;?></span></td>
                <td>LENTO<?=$row->support_id;?></td>
                <td><?=$row->support_for;?></td>
                <td><?php if($row->cust_type == '2'){ echo "Distributer";} else if($row->cust_type == '3'){ echo "Dealer"; } else if($row->cust_type == '4'){ echo "CAC Center"; } else { echo "Customer";} ?></td>
                <td><?=$row->subject;?></td>
                <td><?=$row->comments;?></td>
                <td><?=$row->add_date;?></td>
                <td>
                  <?php 
                    $sqlD = $this->db->query("SELECT name FROM tbl_user WHERE id = '".$row->distributer."'");
                    foreach($sqlD->result() as $row1){
                      echo $row1->name;
                    }
                  ?>
                </td>
                <td>
                  <?php 
                    $sqlD = $this->db->query("SELECT name FROM tbl_user WHERE id = '".$row->dealer."'");
                    foreach($sqlD->result() as $row1){
                      echo $row1->name;
                    }
                  ?>
                </td>
                <td>
                  <?php 
                    $sqlD = $this->db->query("SELECT name FROM tbl_user WHERE id = '".$row->csc."'");
                    foreach($sqlD->result() as $row1){
                      echo $row1->name;
                    }
                  ?>
                </td>
                <td><?=$row->status;?></td>
                <td>
                    <a href="<?=base_url('support/reply/'.$row->id);?>" class="btn btn-primary btn-xs">Reply</a>
                </td>
                <td>
                    <a href="<?=base_url('support/edit/'.$row->id);?>" class="btn btn-primary btn-xs">Edit</a>
                </td>
                <?php if( $this->session->userdata('sess_cust_type') == '1'){ ?>
                <td>
                    <a href="#" class="btn btn-danger btn-xs" data-href="<?=base_url('support/delete/'.$row->id);?>" data-toggle="modal" data-target="#confirm-delete">Delete</a>
                </td>
                <?php } ?>
              </tr>
              <?php ++$i; } ?>
              
            </tbody>
            </table>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  


  <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">Delete Confirmation</h4>
            </div>
            <div class="modal-body">
                <p>Are you sure want to delete this item?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <a class="btn btn-danger btn-ok">Delete</a>
            </div>
        </div>
    </div>
</div>