<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Enquiry extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');

		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}



	}

	public function index(){

		
	}

	public function view(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	  

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "Enquiry Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'enquiry';
	  $data['submenu'] = 'all';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/enquiry/view');
	  $this->load->view('pages/inc/footer');
	}

	public function confirm(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	  

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "Enquiry Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'enquiry';
	  $data['submenu'] = 'confirm';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/enquiry/confirm');
	  $this->load->view('pages/inc/footer');
	}

	public function today(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	  

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "Enquiry Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'enquiry';
	  $data['submenu'] = 'today';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/enquiry/today');
	  $this->load->view('pages/inc/footer');
	}

	public function req_return(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	  

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "Enquiry Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'enquiry';
	  $data['submenu'] = 'req_return';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/enquiry/req_return');
	  $this->load->view('pages/inc/footer');
	}

	public function can_return(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	  

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "Enquiry Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'enquiry';
	  $data['submenu'] = 'can_return';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/enquiry/can_return');
	  $this->load->view('pages/inc/footer');
	}

	public function add(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}

		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Enquiry | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'enquiry';
		$data['submenu'] = '';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/enquiry/add');
		$this->load->view('pages/inc/footer');
	}

	public function addEnquiry(){
		$post = $this->input->post();

		// Dealer/CSC
		$sqlUsr = $this->db->query("SELECT distributer, dealer, csc FROM tbl_user WHERE id = '".$post['user']."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$dealer = $rowUsr->dealer;
			$csc = $rowUsr->csc;
			$distributer = $rowUsr->distributer;
		}
		// Price
		$sqlUsr = $this->db->query("SELECT price, comm_type, comm_val FROM tbl_package WHERE id = '".$post['package']."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$price = $rowUsr->price;
			$comm_type = $rowUsr->comm_type;
			$comm_val = $rowUsr->comm_val;
		}

		// Remove GST FROM Price
		$priceWhGST = $price - ($price*0.18);

		// Commission---
		$sqlComm = $this->db->query("SELECT commission FROM tbl_user WHERE id = '".$distributer."' ");
      	foreach($sqlComm->result() as $rowComm){
			$commDistPerc = $rowComm->commission;
		}
		$sqlComm = $this->db->query("SELECT commission FROM tbl_user WHERE id = '".$dealer."' ");
      	foreach($sqlComm->result() as $rowComm){
			$commDealerPerc = $rowComm->commission;
		}
		$sqlComm = $this->db->query("SELECT commission FROM tbl_user WHERE id = '".$csc."' ");
      	foreach($sqlComm->result() as $rowComm){
			$commCSCPerc = $rowComm->commission;
		}

		if($commDistPerc == '0'){
			if($comm_type == 'Flat'){
				$commDistAmount = $comm_val;
			} else {
				$commDistAmount = $priceWhGST*($comm_val/100);
			}
		} else {
			$commDistAmount = $priceWhGST*($commDistPerc/100);
		}

		if($commDealerPerc == '0'){
			if($comm_type == 'Flat'){
				$commDealerAmount = $comm_val;
			} else {
				$commDealerAmount = $priceWhGST*($comm_val/100);
			}
		} else {
			$commDealerAmount = $priceWhGST*($commDealerPerc/100);
		}

		if($commCSCPerc == '0'){
			if($comm_type == 'Flat'){
				$commCSCAmount = $comm_val;
			} else {
				$commCSCAmount = $priceWhGST*($comm_val/100);
			}
		} else {
			$commCSCAmount = $priceWhGST*($commCSCPerc/100);
		}

		
		if(!empty($post['package']) && !empty($post['user']) && !empty($post['distributer'])){
			$data = array(
				'users' => $post['user'],
				'package' => $post['package'],
				'distributer' => $post['distributer'],
				'dealer' => $dealer,
				'csc' => $csc,
				'price' => $price,
				'commission_dist' => $commDistAmount,
				'commission_dealer' => $commDealerAmount,
				'commission_csc' => $commCSCAmount,
				'status' => 'New Order',
				'comments' => $post['comments'],
				'add_date' => date('Y-m-d H:i:s'),
				'added_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->insert('tbl_enquiry', $data);
			$this->session->set_flashdata('success','Enquiry Add Successfully!!');
		    redirect(base_url('enquiry/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('enquiry/add'));
		}
	}

	public function edit($id){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Edit Enquiry | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'enquiry';
		$data['submenu'] = '';

		$sqlN = $this->db->query("SELECT * FROM `tbl_enquiry` WHERE id = '".$id."'");
		foreach($sqlN->result() as $rowN){
			$data['id'] = $rowN->id;
			$data['users'] = $rowN->users;
			$data['package'] = $rowN->package;
			$data['distributer'] = $rowN->distributer;
			$data['comments'] = $rowN->comments;
		}

		

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/enquiry/edit');
		$this->load->view('pages/inc/footer');
	}

	public function updateEnquiry(){
		$post = $this->input->post();

		// Dealer/CSC
		$sqlUsr = $this->db->query("SELECT distributer, dealer, csc FROM tbl_user WHERE id = '".$post['user']."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$dealer = $rowUsr->dealer;
			$csc = $rowUsr->csc;
			$distributer = $rowUsr->distributer;
		}
		// Price
		$sqlUsr = $this->db->query("SELECT price, comm_type, comm_val FROM tbl_package WHERE id = '".$post['package']."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$price = $rowUsr->price;
			$comm_type = $rowUsr->comm_type;
			$comm_val = $rowUsr->comm_val;
		}
		// Remove GST FROM Price
		$priceWhGST = $price - ($price*0.18);

		// Commission---
		$sqlComm = $this->db->query("SELECT commission FROM tbl_user WHERE id = '".$distributer."' ");
      	foreach($sqlComm->result() as $rowComm){
			$commDistPerc = $rowComm->commission;
		}
		$sqlComm = $this->db->query("SELECT commission FROM tbl_user WHERE id = '".$dealer."' ");
      	foreach($sqlComm->result() as $rowComm){
			$commDealerPerc = $rowComm->commission;
		}
		$sqlComm = $this->db->query("SELECT commission FROM tbl_user WHERE id = '".$csc."' ");
      	foreach($sqlComm->result() as $rowComm){
			$commCSCPerc = $rowComm->commission;
		}

		if($commDistPerc == '0'){
			if($comm_type == 'Flat'){
				$commDistAmount = $comm_val;
			} else {
				$commDistAmount = $priceWhGST*($comm_val/100);
			}
		} else {
			$commDistAmount = $priceWhGST*($commDistPerc/100);
		}

		if($commDealerPerc == '0'){
			if($comm_type == 'Flat'){
				$commDealerAmount = $comm_val;
			} else {
				$commDealerAmount = $priceWhGST*($comm_val/100);
			}
		} else {
			$commDealerAmount = $priceWhGST*($commDealerPerc/100);
		}

		if($commCSCPerc == '0'){
			if($comm_type == 'Flat'){
				$commCSCAmount = $comm_val;
			} else {
				$commCSCAmount = $priceWhGST*($comm_val/100);
			}
		} else {
			$commCSCAmount = $priceWhGST*($commCSCPerc/100);
		}
		
		if(!empty($post['package']) && !empty($post['user']) && !empty($post['distributer'])){
			$data = array(
				'users' => $post['user'],
				'package' => $post['package'],
				'distributer' => $post['distributer'],
				'dealer' => $dealer,
				'csc' => $csc,
				'price' => $price,
				'commission_dist' => $commDistAmount,
				'commission_dealer' => $commDealerAmount,
				'commission_csc' => $commCSCAmount,
				'comments' => $post['comments'],
				'update_date' => date('Y-m-d H:i:s'),
				'update_by' => $this->session->userdata('sess_id'),
				'update_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->update('tbl_enquiry', $data, $post['id']);
			$this->session->set_flashdata('success','Enquiry Update Successfully!!');
		    redirect(base_url('enquiry/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('enquiry/add'));
		}
	}

	public function cancel($id){
		$data = array(
			'cancel_request' => '1',
			'can_add_date' => date('Y-m-d H:i:s'),
			'can_added_by' => $this->session->userdata('sess_id'),
			'can_add_type' => $this->session->userdata('sess_cust_type')
		);

		$this->home_model->update1('tbl_enquiry', $data, 'id', $id);
		$this->session->set_flashdata('success','Cancel Request Send Successfully!!');
		redirect(base_url('enquiry/view'));
	}

	public function reply($id){
		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Reply Enquiry | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		if($this->session->userdata('sess_cust_type') == '5'){
			$data = array('notification'=> '0');
			//$this->home_model->update('tbl_enquiry', $data, $id);
		}

		
		$data['menu'] = 'enquiry';
		$data['submenu'] = 'all';
		$data['id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/enquiry/reply');
	  	$this->load->view('pages/inc/footer');
	}

	public function replyEnquiry(){
		$post = $this->input->post();

		if( !empty($post['comments']) ){

			$data = array(
				'comments' => $post['comments'],
				'enquiry_id' => $post['id'],
				'add_date' => date('Y-m-d'),
				'add_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);

			$this->home_model->insert('tbl_enquiry_reply', $data);

			$data2 = array('notification'=> '0');
			$this->home_model->update('tbl_enquiry', $data2, $post['id']);

			$notification = "0";
			$sqlN = $this->db->query("SELECT notification FROM tbl_enquiry WHERE id = '".$post['id']."'");
			foreach($sqlN->result() as $rowN){
				$notification = $rowN->notification;
			}
			$tot_not = ($notification + 1);
			$data1 = array('notification' => $tot_not);
			$this->home_model->update('tbl_enquiry', $data1, $post['id']);
			

			$this->session->set_flashdata('success','Enquiry Reply Add Successfully!!');
			redirect(base_url('enquiry/reply/'.$post['id']));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('enquiry/reply/'.$post['id']));
		}
	}

	public function statusUpdate(){
		$post = $this->input->post();

		if( !empty($post['status']) ){

			$data = array(
				'status' => $post['status']
			);

			$this->home_model->update('tbl_enquiry', $data, $post['id']);
			$this->session->set_flashdata('success','Order Status Update Successfully!!');
			redirect(base_url('enquiry/reply/'.$post['id']));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('enquiry/reply/'.$post['id']));
		}
	}

	public function paymentAdd(){
		$post = $this->input->post();

		$tot_received = "0";
		$sqlUsr = $this->db->query("SELECT tot_received FROM tbl_enquiry WHERE id = '".$post['id']."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$tot_received = $rowUsr->tot_received;
		}
		$newAmount = ($tot_received + $post['amount']);

		if( !empty($post['amount']) && !empty($post['date']) ){

			$data = array(
				'amount' => $post['amount'],
				'date' => $post['date'],
				'comment' => $post['comment'],
				'enquiry_id' => $post['id'],
				'add_date' => date('Y-m-d H:i:s'),
				'add_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->insert('tbl_enquiry_payment', $data);

			$data1 = array(
				'tot_received' => $newAmount
			);
			$this->home_model->update('tbl_enquiry', $data1, $post['id']);

			$this->session->set_flashdata('success','Payment Add Successfully!!');
			redirect(base_url('enquiry/reply/'.$post['id']));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('enquiry/reply/'.$post['id']));
		}
	}

	public function commissionAdd(){
		$post = $this->input->post();

		$commission_rcvd_dist = "0";
		$commission_rcvd_dealer = "0";
		$commission_rcvd_csc = "0";
		$sqlUsr = $this->db->query("SELECT commission_rcvd_dist, commission_rcvd_dealer, commission_rcvd_csc FROM tbl_enquiry WHERE id = '".$post['id']."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$commission_rcvd_dist = $rowUsr->commission_rcvd_dist;
			$commission_rcvd_dealer = $rowUsr->commission_rcvd_dealer;
			$commission_rcvd_csc = $rowUsr->commission_rcvd_csc;
		}

		$sqlUsr = $this->db->query("SELECT cust_type FROM tbl_user WHERE id = '".$post['user']."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$cust_type = $rowUsr->cust_type;
		}

		if($cust_type == '2'){
			$newAmountDist = ($commission_rcvd_dist + $post['amount']);
		} else {
			$newAmountDist = $commission_rcvd_dist;
		} 
		if($cust_type == '3'){
			$newAmountDealer = ($commission_rcvd_dealer + $post['amount']);
		} else {
			$newAmountDealer = $commission_rcvd_dealer;
		} 
		if($cust_type == '4'){
			$newAmountCSC = ($commission_rcvd_csc + $post['amount']);
		} else {
			$newAmountCSC = $commission_rcvd_csc;
		}

		if( !empty($post['amount']) && !empty($post['date']) ){

			$data = array(
				'users' => $post['user'],
				'amount' => $post['amount'],
				'date' => $post['date'],
				'comment' => $post['comment'],
				'enquiry_id' => $post['id'],
				'add_date' => date('Y-m-d H:i:s'),
				'add_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->insert('tbl_enquiry_commission', $data);

			$data1 = array(
				'commission_rcvd_dist' => $newAmountDist,
				'commission_rcvd_dealer' => $newAmountDealer,
				'commission_rcvd_csc' => $newAmountCSC,
			);
			$this->home_model->update('tbl_enquiry', $data1, $post['id']);

			$this->session->set_flashdata('success','Commission Add Successfully!!');
			redirect(base_url('enquiry/reply/'.$post['id']));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('enquiry/reply/'.$post['id']));
		}	
	}


	public function pi($id){
		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Purchase Invoice | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'enquiry';
		$data['submenu'] = 'all';
		$data['id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/enquiry/pi');
	  	$this->load->view('pages/inc/footer');
	}

	

	public function delete($id){
		$this->db->delete('tbl_enquiry', array('id' => $id));
		$this->db->delete('tbl_enquiry_reply', array('enquiry_id' => $id));
		$this->db->delete('tbl_enquiry_payment', array('enquiry_id' => $id));
		$this->session->set_flashdata('success','Enquiry Delete Successfully!!');
	    redirect(base_url('enquiry/view'));
	}

	public function delete_reply($id, $enq_id){
		$this->db->delete('tbl_enquiry_reply', array('id' => $id));
		$this->session->set_flashdata('success','Enquiry Reply Delete Successfully!!');
	    redirect(base_url('enquiry/reply/'.$enq_id));
	}

	public function delete_payment($id, $enq_id){

		$sqlUsr = $this->db->query("SELECT tot_received FROM tbl_enquiry WHERE id = '".$enq_id."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$tot_received = $rowUsr->tot_received;
		}

		$sqlUsr = $this->db->query("SELECT amount FROM tbl_enquiry_payment WHERE id = '".$id."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$amount = $rowUsr->amount;
		}

		$newAmount = ($tot_received - $amount);
		$data1 = array(
			'tot_received' => $newAmount
		);
		$this->home_model->update('tbl_enquiry', $data1, $enq_id);

		$this->db->delete('tbl_enquiry_payment', array('id' => $id));
		$this->session->set_flashdata('success','Payment Delete Successfully!!');
	    redirect(base_url('enquiry/reply/'.$enq_id));
	}

	public function delete_commission($id, $enq_id){

		$sqlUsr = $this->db->query("SELECT commission_rcvd_dist, commission_rcvd_dealer, commission_rcvd_csc FROM tbl_enquiry WHERE id = '".$enq_id."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$tot_commission_rcvd_dist = $rowUsr->commission_rcvd_dist;
			$tot_commission_rcvd_dealer = $rowUsr->commission_rcvd_dealer;
			$tot_commission_rcvd_csc = $rowUsr->commission_rcvd_csc;
		}

		$sqlUsr = $this->db->query("SELECT amount, users FROM tbl_enquiry_commission WHERE id = '".$id."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$amount = $rowUsr->amount;
			$user_id = $rowUsr->users;
		}


		$sqlUsr = $this->db->query("SELECT cust_type FROM tbl_user WHERE id = '".$user_id."' ");
      	foreach($sqlUsr->result() as $rowUsr){
			$cust_type = $rowUsr->cust_type;
		}

		if($cust_type == '2'){
			$newAmountDist = ($tot_commission_rcvd_dist - $amount);
		} else {
			$newAmountDist = $tot_commission_rcvd_dist;
		} 
		if($cust_type == '3'){
			$newAmountDealer = ($tot_commission_rcvd_dealer - $amount);
		} else {
			$newAmountDealer = $tot_commission_rcvd_dealer;
		} 
		if($cust_type == '4'){
			$newAmountCSC = ($tot_commission_rcvd_csc - $amount);
		} else {
			$newAmountCSC = $tot_commission_rcvd_csc;
		}

		$data1 = array(
			'commission_rcvd_dist' => $newAmountDist, 
			'commission_rcvd_dealer' => $newAmountDealer, 
			'commission_rcvd_csc' => $newAmountCSC
		);
		$this->home_model->update('tbl_enquiry', $data1, $enq_id);

		$this->db->delete('tbl_enquiry_commission', array('id' => $id));
		$this->session->set_flashdata('success','Commission Delete Successfully!!');
	    redirect(base_url('enquiry/reply/'.$enq_id));
	}

	public function payTransDeatil(){
		$post = $this->input->post();

		if(!empty($post['amount'])){
			$this->_do_upload('file');
			$fileName = $this->upload->data('file_name');

			$data = array(
				'enq_id' => $post['enq_id'],
				'amount' => $post['amount'],
				'account_no' => $post['account_no'],
				'traction_id' => $post['traction_id'],
				'comments' => $post['comments'],
				'challan' => $fileName,
				'add_date' => date('Y-m-d H:i:s'),
				'add_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->insert('tbl_enquiry_pay_deatils', $data);

			$this->session->set_flashdata('success','Payment Transaction Add Successfully!!');
			redirect(base_url('enquiry/reply/'.$post['enq_id']));
		}
	}

	public function payment_approve($id, $enq_id, $status){
		$data1 = array(
			'status' => $status
		);
		$this->home_model->update('tbl_enquiry_pay_deatils', $data1, $id);

		$this->session->set_flashdata('success','Payment Status Update Successfully!!');
	    redirect(base_url('enquiry/reply/'.$enq_id));
	}

	public function pay_slip($id, $enq_id){
		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Challan | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'enquiry';
		$data['submenu'] = 'all';
		$data['id'] = $enq_id;
		$data['pay_id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/enquiry/pay_slip');
	  	$this->load->view('pages/inc/footer');
	}
	

	public function _do_upload($filename){
		$config['upload_path']          = './assets/uploads/';
		$config['allowed_types']        = '*';
        $this->load->library('upload', $config);
        if ( ! $this->upload->do_upload($filename)){
            return false;
        } else {
            $data = array('upload_data' => $this->upload->data());
            return $post[$filename] = $data['upload_data']['file_name'];
        }
    }

    public function user_ip_address(){
		if(!empty($_SERVER['HTTP_CLIENT_IP'])){
	        //ip from share internet
	        $ip = $_SERVER['HTTP_CLIENT_IP'];
	    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
	        //ip pass from proxy
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    }else{
	        $ip = $_SERVER['REMOTE_ADDR'];
	    }
	    return $ip;
	}

    public function currentDateTime(){
    	date_default_timezone_set('Asia/Calcutta');
    	return $date=date("Y-m-d H:i:s");
    }

	

}
