<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Home extends CI_Controller {


	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');
	}

	
	public function index(){
		if( $this->session->userdata('sess_id')){
          	return  redirect(base_url('dashboard'));
        }
		$this->load->view('pages/profile/home');
	}


	public function register(){

		if( $this->session->userdata('sess_id')){
          	return  redirect(base_url('dashboard'));
        }
		$this->load->view('pages/profile/register');
		$this->load->view('pages/inc/footer1');
	}

	public function forgort(){
		if( $this->session->userdata('sess_id')){
          	return  redirect(base_url('dashboard'));
        }
		$this->load->view('pages/profile/forgort');
		
	}

	public function recover($url, $id){

        $id = str_replace(".html","", $id);
        $edit = $this->home_model->get_where('sm_register', 'id_hash', $id);
        if( !empty($edit)){
        	foreach ($edit as $row) {
	        	$data['id'] = $row->id;
	        	$data['id_hash'] = $row->id_hash;
	        }
        } else {
        	$this->session->set_flashdata('error', 'Invalid Email!!!');
			redirect(base_url());
        }

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Recover Password | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/profile/recover');
		$this->load->view('pages/inc/footer');
	}

	public function resisterUser(){
		$post = $this->input->post();
		
		$ckeck = $this->home_model->findValue($post['email'], 'email', 'tbl_user');
		if( !empty($ckeck)){
			$this->session->set_flashdata('error','Email <b>('.$post["email"].')</b> Already Exists!!');
			redirect(base_url('home/register'));
			die();
		}

		$ckeck = $this->home_model->findValue($post['phone'], 'phone', 'tbl_user');
		if( !empty($ckeck)){
			$this->session->set_flashdata('error','Phone <b>('.$post["phone"].')</b> Already Exists!!');
			redirect(base_url('home/register'));
			die();
		}

		if(!empty($post['name'])){
			$data = array(
				'distributer' => $post['distributer'],
				'dealer' => $post['dealer'],
				'csc' => $post['csc'],
				'reference_code' => $post['reference_code'],
				'title' => $post['title'],
				'name' => $post['name'],
				'company_name' => $post['company_name'],
				'organisation' => $post['organisation'],
				'phone' => $post['phone'],
				'alt_phone' => $post['alt_phone'],
				'whatsapp' => $post['whatsapp'],
				'email' => $post['email'],
				'password' => md5($post['password']),
				'country' => $post['country'],
				'state' => $post['state'],
				'city' => $post['city'],
				'tehsil' => $post['tehsil'],
				'block' => $post['block'],
				'village' => $post['village'],
				'address' => $post['address'],
				'pin' => $post['pin'],
				'bank_name' => $post['bank_name'],
				'acc_no' => $post['acc_no'],
				'acc_hlder_name' => $post['acc_hlder_name'],
				'ifsc_code' => $post['ifsc_code'],
				'micr_code' => $post['micr_code'],
				'pan_no' => $post['pan_no'],
				'sec_amount_one' => $post['sec_amount_one'],
				'sec_amount_two' => $post['sec_amount_two'],
				'gst_no' => $post['gst_no'],
				'gst_date' => $post['gst_date'],
				/*'country_terr' => $post['country_terr'],
				'state_terr' => $post['state_terr'],
				'city_terr' => $post['city_terr'],
				'tehsil_terr' => $post['tehsil_terr'],*/
				'proprietary_pers' => $post['proprietary_pers'],
				'country_pers' => $post['country_pers'],
				'state_pers' => $post['state_pers'],
				'city_pers' => $post['city_pers'],
				'tehsil_pers' => $post['tehsil_pers'],
				'block_pers' => $post['block_pers'],
				'village_pers' => $post['village_pers'],
				'pin_pers' => $post['pin_pers'],
				'status' => 'InActive',
				'cust_type' => $post['cust_type']
			);
			$this->home_model->insert('tbl_user', $data);
			$this->session->set_flashdata('success','Registration Add Successfully!!');
		    redirect(base_url('home/register'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('home/register'));
		}
	}

	public function userLogin(){
		$post = $this->input->post();

		if(!empty($post['u_name']) && !empty($post['u_pass'])){
			$statement = $this->db->query("SELECT * FROM tbl_user WHERE `password` = '".md5($post['u_pass'])."' AND (phone = '".$post['u_name']."' OR email = '".$post['u_name']."') AND status = 'Active'");

			if($statement->num_rows() > 0) {
				foreach ($statement->result() as $row) {
					$id = $row->id;
					$name = $row->name;
					$phone = $row->phone;
					$email = $row->email;
					$cust_type = $row->cust_type;
					$distributer = $row->distributer;
					$dealer = $row->dealer;
					$csc = $row->csc;

				}

				$data = array(
					'sess_id' => $id,
					'sess_name' => $name,
					'sess_phone' => $phone,
					'sess_email' => $email,
					'sess_cust_type' => $cust_type,
					'sess_distributer' => $distributer,
					'sess_dealer' => $dealer,
					'sess_csc' => $csc,
				);
				$this->session->set_userdata($data);
				redirect(base_url('dashboard'));
			} else {
				$this->session->set_flashdata('error', 'Invalid Email Id/Phone Number OR Password!!!');
				redirect(base_url());
			}
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url());
		}
	}
	


	public function page_not_found($url){

		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url('dashboard'));
        }

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Page Not Found | ". $parts['host'];
		$data['meta_keyword'] = '';
		$data['meta_description'] = '';

		$data['menu'] = '';
		$data['submenu'] = '';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/page_not_found');
		$this->load->view('pages/inc/footer');
	}

	

	public function logout(){
		$this->session->sess_destroy();
    	return redirect(base_url());
	}

	public function recoverPasswordSubmit(){
		$e_mail = $this->input->post('email');
		if( !empty($e_mail) ){
			$statement = $this->db->query("SELECT * FROM sm_register WHERE email = '".$e_mail."'");
			if($statement->num_rows() > 0) {
				foreach ($statement->result() as $row) {
					$id_hash = $row->id_hash;
					$name = $row->name;
				}

				// Send Mail to Verify User
				$dataMail['abc']=$id_hash;
				$dataMail['e_mail']=$e_mail;
				$dataMail['name']=$name;
				$template =  $this->load->view('pages/profile/verify_mail', $dataMail, TRUE);
				// Validate Email
				if (filter_var($e_mail, FILTER_VALIDATE_EMAIL)) {

					$this->leadofy_mail_api('YTQ2YjFkYTJmMThhMGI5ZWM2MjBjMGU3ZTg5OTRjZWM=', 'Change Password', $e_mail, '1', $template, '#');
				}

				$this->session->set_flashdata('success','Mail send to your Email to change Password!!');
	    		redirect(base_url('forgot-password.html'));

			} else {
				$this->session->set_flashdata('error','Email not available in our database!!');
	    		redirect(base_url('forgot-password.html'));
			}

		} else {
			$this->session->set_flashdata('error','Please Fill Email!!');
	    	redirect(base_url('forgot-password.html'));
		}
	}

	public function updatePassword(){
		$post = $this->input->post();

		if(!empty($post['user_pass'])){
			if($post['user_pass'] == $post['con_user_pass']){
				$data1 = array(
					'user_pass' => md5($post['user_pass'])
				);
				$this->home_model->update('sm_register', $data1, $post['user_id']);
				$this->session->set_flashdata('success','Your Password has changed. Please Login with new password!!');
	    		redirect(base_url());
			} else {
				$this->session->set_flashdata('error','Password & Confirm Password do not match!!');
	    		redirect(base_url('recover-password/'.$post['id_hash'].'.html'));
			}
		} else {
			$this->session->set_flashdata('error','Please Fill Password!!');
	    	redirect(base_url('recover-password/'.$post['id_hash'].'.html'));
		}
	}


	// Set Permissions ==
	public function permission($abc, $id){
		$id = str_replace(".html","", $id);
		$data['id'] = $id;

        $title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Set Permissions | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$sqlUser = $this->db->query("SELECT name, cust_type FROM tbl_user WHERE id_hash = '".$data['id']."'");
		foreach($sqlUser->result() as $rowU){
			$data['userName'] = $rowU->name;
			$data['user_type'] = $rowU->cust_type;
		}

		
		$data['menu'] = 'setting';
		$data['submenu'] = '';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/profile/set_permission');
		$this->load->view('pages/inc/footer');


	}

	

	public function updatePermissions(){
		$post = $this->input->post();
		if(!empty($post['menu'])){
			$menu = implode(",",$post['menu']);
		} else {
			$menu = "";
		}

		$data = array(
			'permission_menu' => $menu,
			'ip_status' => $post['ip_status'],
			'ip_address' => $post['ip_address']
		);

		$this->home_model->update1('tbl_user', $data, 'id_hash', $post['id_hash']);
		$this->session->set_flashdata('success','User Permission Update Successfully!!');
		redirect(base_url('permission/'.$post['id_hash'].'.html'));


	}

	public function ajaxGetState(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_states WHERE country_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select State</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetCity(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_cities WHERE state_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select District</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetTehsil(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_tehsil WHERE city_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Tehsil</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetBlock(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_block WHERE tehsil_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Block</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetVillage(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_village WHERE block_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Village</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetDistributer(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query("select id, title, name, address from tbl_user WHERE FIND_IN_SET($id, `city_terr`) AND cust_type = '2' order by id DESC");
			$Subcat = $sql->result();
			echo "<option>Select Distributer</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>(SAPSON" .$sCat->id. ") " .$sCat->title. " " .$sCat->name. " (" .$sCat->address.")</option>";
			}
		}
	}

	public function ajaxGetDealer(){
		$id = $this->input->post('id');
		if(!empty($id)){
			
			$sql = $this->db->query("select id, title, name, address from tbl_user WHERE distributer = ".$id." AND cust_type = '3' order by id DESC");
			$Subcat = $sql->result();
			echo "<option>Select Dealer</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>(SAPSON" .$sCat->id. ") " .$sCat->title. " " .$sCat->name. " (" .$sCat->address.")</option>";
			}
		}
	}

	public function ajaxGetCsc(){
		$id = $this->input->post('id');
		if(!empty($id)){
			
			$sql = $this->db->query("select id, title, name, address from tbl_user WHERE dealer = ".$id." AND cust_type = '4' order by id DESC");
			$Subcat = $sql->result();
			echo "<option>Select CSC</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>(SAPSON" .$sCat->id. ") " .$sCat->title. " " .$sCat->name. " (" .$sCat->address.")</option>";
			}
		}
	}

	public function ajaxrefDetails(){
		$vals = $this->input->post('vals');
		if(!empty($vals)){
			$id = str_replace("SAPSON", "", $vals);
			$sql = $this->db->query("select id, title, name from tbl_user WHERE id = ".$id." LIMIT 0, 1");
			$Subcat = $sql->result();
			foreach ($Subcat as $sCat) {
				echo $sCat->title . " " . $sCat->name;
			}
		}
	}

	public function ajaxPhoneAvl(){
		$phone = $this->input->post('phone');
		if(!empty($phone)){
			$sql = $this->db->query("select id from tbl_user WHERE phone = '".$phone."'");
			if($sql->num_rows() > 0){
				echo "yes";
			}
		}
	}

	public function ajaxEmailAvl(){
		$email = $this->input->post('email');
		if(!empty($email)){
			$sql = $this->db->query("select id from tbl_user WHERE email = '".$email."'");
			if($sql->num_rows() > 0){
				echo "yes";
			}
		}
	}


	public function user_ip_address(){
		if(!empty($_SERVER['HTTP_CLIENT_IP'])){
	        //ip from share internet
	        $ip = $_SERVER['HTTP_CLIENT_IP'];
	    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
	        //ip pass from proxy
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    }else{
	        $ip = $_SERVER['REMOTE_ADDR'];
	    }
	    return $ip;
	}


	



}
