<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <h5 class="card-title m-0 col-md-12">Country Management <small class="float-right"><a class="btn btn-primary btn-xs" href="<?=base_url('location/countries_add');?>">Add New Country</a></small></h5>
          </div>
          <div class="card-body">
            <section class="content">
              <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
              <?php } ?>
              <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
              <?php } ?>

              <form class="form-inline">
                <div class="form-group mx-sm-2 ">
                  <label>Name &nbsp;</label>
                  <input type="text" class="form-control form-control-sm" name="key" placeholder="Keyword" value="<?=$key_get;?>">
                </div>
                <button type="submit" class="btn btn-primary btn-sm">Search</button> &nbsp;&nbsp;
                <a class="btn btn-warning btn-sm" href="<?=base_url('location/countries');?>">Clear</a>
              </form>
              <br>
              <table id="example" class="table table-bordered table-striped">
                <thead>
                <tr class="bg-gray">
                  <th>SNo</th>
                  <th>SName</th>
                  <th>Name</th>
                  <th>PhoneCode</th>
                  <th width="1"></th>
                  <th width="1"></th>
                </tr>
                </thead>
                <tbody>
                  <?php
                  foreach ($country as $row) {
                  ?>
                <tr>
                  <td class="text-center"><?=$page1+1;?></td>
                  <td class="text-center"><?=$row->sortname;?></td>
                  <td><?=$row->name;?></td>
                  <td class="text-center"><?=$row->phonecode;?></td>
                  
                  <td>
                    <a class="btn btn-primary btn-xs" href="<?=base_url('location/country/'.$row->id_hash);?>">Edit</a>
                  </td>
                  
                  <td>
                    <a href="#" class="btn btn-danger btn-xs" data-href="<?=base_url('location/countryDel/'.$row->id);?>" data-toggle="modal" data-target="#confirm-delete">Delete</a>
                  </td>
                  
                </tr>
                <?php ++$page1; } ?>
                
              </table>


<?php if(!empty($country)){?>
    
    <nav aria-label="Page navigation example">
        <ul class="pagination">
            <li class="page-item"><a class='page-link' href="<?=base_url('location/countries');?>?page=1&key=<?=$this->input->get('key');?>">First</a></li>
            <?php
                                              
                $count = $catNumRows;
                $a = $count/$offset;
                $a = ceil($a);
                $j=($page);
                $j = ceil($j);
                if($j<0) {
                    $j=1;
                }
                $k=$j+3;
                if($j >= $a-3){
                    $k=$a;
                }
                $i =$j-2;
                if($i<=0){
                    $i=1;
                }
                for($i;$i<=$k;$i++){
            ?>

            <?php if($getPage == $i){ ?>
                <li class="page-item active"><a class="page-link" href="#"><?=$i?></a></li>
            <?php } else{ ?>
            <li class="page-item"><a class="page-link" href="<?=base_url('location/countries');?>?page=<?=$i;?>&key=<?=$this->input->get('key');?>"><?=$i;?></a></li>
            <?php } ?>
            <?php } 

            if($a > $page+1){
            ?>
            <li class="page-item"><a class="page-link" href="<?=base_url('location/countries');?>?page=<?=$page+1;?>&key=<?=$this->input->get('key');?>">Next &raquo;</a></li>
            <?php } ?>
            <li class="page-item"><a class="page-link" href="<?=base_url('location/countries');?>?page=<?=$a;?>&key=<?=$this->input->get('key');?>">Last</a></li>
            <li class="page-item"><a class="page-link">Page <?php if($page==0){ echo '1'; } else { echo $page; } ?> of <?=$a;?></a></li>
        </ul>
    </nav>

<?php } ?> 
              <!------------>


            </section>
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  
  <div class="modal fade" tabindex="-1" id="confirm-delete">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Delete Confirmation</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>Are you sure want to delete this item?</p>
      </div>
      <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
          <a class="btn btn-danger btn-ok">Delete</a>
      </div>
    </div>
  </div>
</div>