

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Add Csc</h5>
              </div>
              <div class="col-md-6 text-right">
                  <a class="btn btn-primary btn-xs" href="<?=base_url('csc/view');?>">Manage Csc</a>
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
            
            <form class="validateForm" method="post" action="<?=base_url('csc/addCsc');?>" enctype="multipart/form-data">
            <div class="row">
                <h4 class="col-md-12">Basic</h4>
                <?php if($this->session->userdata('sess_cust_type') == '1' ){ ?>
                <div class="col-md-4">
                  <div class="form-group">
                    <label> Commission</label>
                    <input type="number" name="commission" class="form-control" >
                  </div>
                </div>
                <?php } ?>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Distributer</label>
                    <select class="form-control select2" name="distributer" required onchange="getDealer(this.value)">
                      <option value="">Select Distributer</option>
                      <?php
                        if($this->session->userdata('sess_cust_type') == '2'){
                          $sqlQry = " AND id = '".$this->session->userdata('sess_id')."'";
                        } else if($this->session->userdata('sess_cust_type') == '3'){
                          $sqlQry = " AND id = '".$this->session->userdata('sess_distributer')."'";
                        } else if($this->session->userdata('sess_cust_type') == '4'){
                          $sqlQry = " AND id = '".$this->session->userdata('sess_distributer')."'";
                        } else {
                          $sqlQry = " ";
                        }
                        $sql = $this->db->query("SELECT id, title, name FROM `tbl_user` WHERE cust_type = '2' {$sqlQry}");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option value="<?=$rowD->id;?>"><?=$rowD->title;?> <?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Dealer</label>
                    <select class="form-control select2" name="dealer" id="dealer"  >
                      <option value="">Select Dealer</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label> Distributor/Dealer Refrence Code</label>
                    <input type="text" name="reference_code" class="form-control" onchange="referalDeails(this.value)" >
                    <span id="refDetails"></span>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Title</label>
                    <select class="form-control select2" required name="title">
                      <option value="">Select Title</option>
                      <option value="M/S">M/S</option>
                      <option value="Mr.">Mr.</option>
                      <option value="Mrs.">Mrs.</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label> Name</label>
                    <input type="text" required name="name" class="form-control" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label> Company/Firm Name</label>
                    <input type="text" required name="company_name" class="form-control" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Type of Organisation</label>
                    <select class="form-control select2" required name="organisation">
                      <option value="">Select Organisation</option>
                      <option value="Proprietary">Proprietary</option>
                      <option value="Partnership">Partnership</option>
                      <option value="Public">Public</option>
                      <option value="Pvt. Ltd.">Pvt. Ltd.</option>
                      <option value="Trust">Trust</option>
                      <option value="Others">Others</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Mobile No</label>
                    <input type="tel" required name="phone" class="form-control" pattern="[1-9]{1}[0-9]{9}" onchange="getPhoneAvailable(this.value)" id="phone" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Alternate Mobile No</label>
                    <input type="tel" name="alt_phone" class="form-control" pattern="[1-9]{1}[0-9]{9}" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>WhatsApp No</label>
                    <input type="tel" name="whatsapp" class="form-control" pattern="[1-9]{1}[0-9]{9}" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Email</label>
                    <input type="email" required name="email" class="form-control" onchange="getEmailAvailable(this.value)" id="email" >
                  </div>
                </div>
                
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Password</label>
                    <input type="password" required name="password" class="form-control" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Country</label>
                    <select class="form-control select2" name="country" onchange="getState(this.value)">
                      <option value="">Select Country</option>
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_countries` WHERE 1");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>State</label>
                    <select class="form-control select2" id="type1" name="state" onchange="getCity(this.value)">
                      <option value="">Select State</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>District</label>
                    <select class="form-control select2" id="type2" name="city" onchange="getTehsil(this.value)">
                      <option value="">Select District</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Tehsil</label>
                    <select class="form-control select2" id="type3" name="tehsil" onchange="getBlock(this.value)">
                      <option value="">Select Tehsil</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Block</label>
                    <select class="form-control select2" id="type4" name="block" onchange="getVillage(this.value)">
                      <option value="">Select Block</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Village</label>
                    <select class="form-control select2" id="type5" name="village">
                      <option value="">Select Village</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>Street/Shop No</label>
                      <input type="text" name="address" class="form-control" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label>PinCode</label>
                      <input type="text" name="pin" class="form-control" >
                  </div>
                </div>
                
                <h4 class="col-md-12">Bank Details</h4>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>Name of Bank</label>
                      <input type="text" name="bank_name" class="form-control" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label>Account Number</label>
                      <input type="text" name="acc_no" class="form-control" >
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>Account Holder Name</label>
                      <input type="text" name="acc_hlder_name" class="form-control" >
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>IFSC Code</label>
                      <input type="text" name="ifsc_code" class="form-control" >
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>MICR Code</label>
                      <input type="text" name="micr_code" class="form-control" >
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>PAN No</label>
                      <input type="text" name="pan_no" class="form-control" >
                  </div>
                </div>

                <div class="col-md-4" style="display: none;">
                  <div class="form-group">
                      <label>Security Amount(Cheque 1)</label>
                      <input type="text" name="sec_amount_one" class="form-control" >
                  </div>
                </div>

                <div class="col-md-4" style="display: none;">
                  <div class="form-group">
                      <label>Security Amount(Cheque 2)</label>
                      <input type="text" name="sec_amount_two" class="form-control" >
                  </div>
                </div>

                <h4 class="col-md-12">Taxation Details</h4>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>GST Registration No</label>
                      <input type="text" name="gst_no" class="form-control" >
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>GST Registration date</label>
                      <input type="date" name="gst_date" class="form-control" >
                  </div>
                </div>
                <!---
                <h4 class="col-md-12">Assigned Territory</h4>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Country</label>
                    <select class="form-control select2" name="country_terr" onchange="getState1(this.value)">
                      <option value="">Select Country</option>
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_countries` WHERE 1");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>State</label>
                    <select class="form-control select2" id="type11" name="state_terr" onchange="getCity1(this.value)">
                      <option value="">Select State</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>District</label>
                    <select class="form-control select2" id="type21" name="city_terr" onchange="getTehsil1(this.value)">
                      <option value="">Select District</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Tehsil</label>
                    <select class="form-control select2" id="type31" name="tehsil_terr">
                      <option value="">Select Tehsil</option>
                    </select>
                  </div>
                </div>
                -->

                <h4 class="col-md-12">Personal Information</h4>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>Proprietary Residence Address</label>
                      <input type="text" name="proprietary_pers" class="form-control" >
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Country</label>
                    <select class="form-control select2" name="country_pers" onchange="getState2(this.value)">
                      <option value="">Select Country</option>
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_countries` WHERE 1");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>State</label>
                    <select class="form-control select2" id="type12" name="state_pers" onchange="getCity2(this.value)">
                      <option value="">Select State</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>District</label>
                    <select class="form-control select2" id="type22" name="city_pers" onchange="getTehsil2(this.value)">
                      <option value="">Select District</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Tehsil</label>
                    <select class="form-control select2" id="type32" name="tehsil_pers" onchange="getBlock2(this.value)">
                      <option value="">Select Tehsil</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Block</label>
                    <select class="form-control select2" id="type42" name="block_pers" onchange="getVillage2(this.value)">
                      <option value="">Select Block</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Village</label>
                    <select class="form-control select2" id="type52" name="village_pers">
                      <option value="">Select Village</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>PinCode</label>
                      <input type="text" name="pin_pers" class="form-control" >
                  </div>
                </div>

                <h4 class="col-md-12">Documentation</h4>

                <div class="col-md-2">
                  <div class="form-group">
                      <label>User Image</label>
                      <input type="file" name="user_image" >
                  </div>
                </div>
                <div class="col-md-2">
                  <div class="form-group">
                      <label>Adhar Image</label>
                      <input type="file" name="adhar_image" >
                  </div>
                </div>
                <div class="col-md-2">
                  <div class="form-group">
                      <label>PAN Image</label>
                      <input type="file" name="pan_image" >
                  </div>
                </div>
                <div class="col-md-2">
                  <div class="form-group">
                      <label>Cancel Cheque</label>
                      <input type="file" name="cancel_cheque" >
                  </div>
                </div>
                <div class="col-md-2">
                  <div class="form-group">
                      <label>GST Certificate</label>
                      <input type="file" name="gst_certificate" >
                  </div>
                </div>
                
                <div class="col-md-12"></div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Status</label>
                    <select name="status" class="form-control select2">
                      <option value="Active">Active</option>
                      <option value="Inactive">Inactive</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label></label>
                    <input type="submit" class="btn btn-primary" value="Submit" >
                  </div>
                </div>
                
              
            </div>
            </form>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  
  <script type="text/javascript">
    function getState(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type1").html(response);
          },
      });
    }

    function getCity(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type2").html(response);
          },
      });
    }

    function getTehsil(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type3").html(response);
          },
      });
    }

    function getBlock(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetBlock');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type4").html(response);
          },
      });
    }
    function getVillage(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetVillage');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type5").html(response);
          },
      });
    }

  </script>


  <script type="text/javascript">
    function getState1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type11").html(response);
          },
      });
    }

    function getCity1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type21").html(response);
          },
      });
    }

    function getTehsil1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type31").html(response);
          },
      });
    }

    function getBlock1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetBlock');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type41").html(response);
          },
      });
    }
    function getVillage1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetVillage');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type51").html(response);
          },
      });
    }

  </script>

<script type="text/javascript">
    function getState2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type12").html(response);
          },
      });
    }

    function getCity2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type22").html(response);
          },
      });
    }

    function getTehsil2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type32").html(response);
          },
      });
    }

    function getBlock2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetBlock');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type42").html(response);
          },
      });
    }
    function getVillage2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetVillage');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type52").html(response);
          },
      });
    }

  </script>

<script type="text/javascript">
  function getDealer(id){
    var id = id;
      
      $.ajax({
          url: "<?=base_url('csc/ajaxGetDealer');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#dealer").html(response);
          },
      });
  }
</script>


<script type="text/javascript">
  function referalDeails(vals){
    var vals = vals;
    $("#refDetails").html("");

    $.ajax({
        url: "<?=base_url('csc/ajaxrefDetails');?>",
        type: "POST",
        data: "vals="+vals,
        success: function (response) {
          $("#refDetails").html(response);
        },
    });
  }
</script>


<script type="">
  function getPhoneAvailable(phone){
    var phone = phone;
    $.ajax({
        url: "<?=base_url('csc/ajaxPhoneAvl');?>",
        type: "POST",
        data: "phone="+phone,
        success: function (response) {
          if(response == 'yes'){
            $("#phone").val("");
            alert("Phone No Already in Use!!!");
          }
        },
    });
  }
  function getEmailAvailable(email){
    var email = email;
    $.ajax({
        url: "<?=base_url('csc/ajaxEmailAvl');?>",
        type: "POST",
        data: "email="+email,
        success: function (response) {
          console.log(response);
          if(response == 'yes'){
            $("#email").val("");
            alert("Email Id Already in Use!!!");
          }
        },
    });
  }
</script>