

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Add Customer</h5>
              </div>
              <div class="col-md-6 text-right">
                  <a class="btn btn-primary btn-xs" href="<?=base_url('customer/view');?>">Manage Customer</a>
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
            
            <form class="validateForm" method="post" action="<?=base_url('customer/addCustomer');?>">
            <div class="row">
                <h4 class="col-md-12">Basic</h4>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Distributer</label>
                    <select class="form-control select2" name="distributer" required onchange="getDealer(this.value)" >
                      <option value="">Select Distributer</option>
                      <?php
                        if($this->session->userdata('sess_cust_type') == '2'){
                          $sqlQry = " AND id = '".$this->session->userdata('sess_id')."'";
                        } else if($this->session->userdata('sess_cust_type') == '3'){
                          $sqlQry = " AND id = '".$this->session->userdata('sess_distributer')."'";
                        } else if($this->session->userdata('sess_cust_type') == '4'){
                          $sqlQry = " AND id = '".$this->session->userdata('sess_distributer')."'";
                        } else {
                          $sqlQry = " ";
                        }
                        $sql = $this->db->query("SELECT id, title, name FROM `tbl_user` WHERE cust_type = '2' {$sqlQry}");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option value="<?=$rowD->id;?>"><?=$rowD->title;?> <?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Dealer</label>
                    <select class="form-control select2" name="dealer" id="dealer" onchange="getCsc(this.value)" >
                      <option value="">Select Dealer</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>CSC</label>
                    <select class="form-control select2" name="csc" id="csc" >
                      <option value="">Select CSC</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label> Distributor/Dealer/CSC Refrence Code</label>
                    <input type="text" name="reference_code" class="form-control" onchange="referalDeails(this.value)" >
                    <span id="refDetails"></span>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Title</label>
                    <select class="form-control select2" required name="title">
                      <option value="">Select Title</option>
                      <option value="M/S">M/S</option>
                      <option value="Mr.">Mr.</option>
                      <option value="Mrs.">Mrs.</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label> Name</label>
                    <input type="text" required name="name" class="form-control" >
                  </div>
                </div>
                
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Mobile No</label>
                    <input type="tel" required name="phone" class="form-control" pattern="[1-9]{1}[0-9]{9}" onchange="getPhoneAvailable(this.value)" id="phone" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Alternate Mobile No</label>
                    <input type="tel" name="alt_phone" class="form-control" pattern="[1-9]{1}[0-9]{9}" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>WhatsApp No</label>
                    <input type="tel" name="whatsapp" class="form-control" pattern="[1-9]{1}[0-9]{9}" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Email</label>
                    <input type="email" required name="email" class="form-control" onchange="getEmailAvailable(this.value)" id="email" >
                  </div>
                </div>
                
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Password</label>
                    <input type="password" required name="password" class="form-control" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Country</label>
                    <select class="form-control select2" name="country" onchange="getState(this.value)">
                      <option value="">Select Country</option>
                      <?php
                        $sql = $this->db->query("SELECT id, name FROM `tbl_countries` WHERE 1");
                        foreach($sql->result() as $rowD){ 
                      ?>
                        <option value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                      <?php } ?>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>State</label>
                    <select class="form-control select2" id="type1" name="state" onchange="getCity(this.value)">
                      <option value="">Select State</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>District</label>
                    <select class="form-control select2" id="type2" name="city" onchange="getTehsil(this.value)">
                      <option value="">Select District</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Tehsil</label>
                    <select class="form-control select2" id="type3" name="tehsil" onchange="getBlock(this.value)">
                      <option value="">Select Tehsil</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Block</label>
                    <select class="form-control select2" id="type4" name="block" onchange="getVillage(this.value)">
                      <option value="">Select Block</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                    <label>Village</label>
                    <select class="form-control select2" id="type5" name="village">
                      <option value="">Select Village</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label>Address</label>
                      <input type="text" name="address" class="form-control" >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label>PinCode</label>
                      <input type="text" name="pin" class="form-control" >
                  </div>
                </div>
                
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Status</label>
                    <select name="status" class="form-control select2">
                      <option value="Active">Active</option>
                      <option value="Inactive">Inactive</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label></label>
                    <input type="submit" class="btn btn-primary" value="Submit" >
                  </div>
                </div>
                
              
            </div>
            </form>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  
  <script type="text/javascript">
    function getState(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type1").html(response);
          },
      });
    }

    function getCity(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type2").html(response);
          },
      });
    }

    function getTehsil(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type3").html(response);
          },
      });
    }

    function getBlock(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetBlock');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type4").html(response);
          },
      });
    }
    function getVillage(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetVillage');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type5").html(response);
          },
      });
    }

  </script>


  <script type="text/javascript">
    function getState1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type11").html(response);
          },
      });
    }

    function getCity1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type21").html(response);
          },
      });
    }

    function getTehsil1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type31").html(response);
          },
      });
    }

  </script>

<script type="text/javascript">
    function getState2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type12").html(response);
          },
      });
    }

    function getCity2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type22").html(response);
          },
      });
    }

    function getTehsil2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type32").html(response);
          },
      });
    }

  </script>

<script type="text/javascript">
  function getDealer(id){
    var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetDealer');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#dealer").html(response);
          },
      });
  }

  function getCsc(id){
    var id = id;
      
      $.ajax({
          url: "<?=base_url('customer/ajaxGetCsc');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#csc").html(response);
          },
      });
  }

</script>

<script type="text/javascript">
  function referalDeails(vals){
    var vals = vals;
    $("#refDetails").html("");

    $.ajax({
        url: "<?=base_url('customer/ajaxrefDetails');?>",
        type: "POST",
        data: "vals="+vals,
        success: function (response) {
          $("#refDetails").html(response);
        },
    });
  }
</script>


<script type="">
  function getPhoneAvailable(phone){
    var phone = phone;
    $.ajax({
        url: "<?=base_url('customer/ajaxPhoneAvl');?>",
        type: "POST",
        data: "phone="+phone,
        success: function (response) {
          if(response == 'yes'){
            $("#phone").val("");
            alert("Phone No Already in Use!!!");
          }
        },
    });
  }
  function getEmailAvailable(email){
    var email = email;
    $.ajax({
        url: "<?=base_url('customer/ajaxEmailAvl');?>",
        type: "POST",
        data: "email="+email,
        success: function (response) {
          console.log(response);
          if(response == 'yes'){
            $("#email").val("");
            alert("Email Id Already in Use!!!");
          }
        },
    });
  }
</script>