

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Manage Dealer</h5>
              </div>
              <div class="col-md-6 text-right">
              <?php if($this->session->userdata('sess_cust_type') != '3'){ ?>
                  <a class="btn btn-primary btn-xs" href="<?=base_url('dealer/add');?>">Add New Dealer</a>
                <?php } ?>
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
              

            <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr class="bg-blue-head">
                <th width="1">SNo.</th>
                <th width="1">UID.</th>
                <th width="1">Title</th>
                <th>Name</th>
                <th>Email</th>
                <th>Phone</th>
                <th>WhatsApp</th>
                <th width="1">Status</th>
                <th width="1"></th>
                <?php if($this->session->userdata('sess_cust_type') == '1'){ ?>
                <th width="1"></th>
                <th width="1"></th>
                <?php } ?>
              </tr>
              </thead>
              <tbody>
              <?php
                $i=1;
                if( $this->session->userdata('sess_cust_type') == '2'){
                  $sqlQry = " AND distributer = '".$this->session->userdata('sess_id')."'";
                } else if( $this->session->userdata('sess_cust_type') == '3'){
                  $sqlQry = " AND id = '".$this->session->userdata('sess_id')."'";
                } else {
                  $sqlQry = " ";
                }
                $sql = $this->db->query("SELECT * FROM tbl_user WHERE 1 AND cust_type = '3' {$sqlQry}");
                foreach($sql->result() as $row){
              ?>
              <tr>
                <td class="text-center"><?=$i;?></td>
                <td class="text-center">SAPSON<?=$row->id;?></td>
                <td><?=$row->title;?></td>
                <td><?=$row->name;?></td>
                <td><?=$row->email;?></td>
                <td><?=$row->phone;?></td>
                <td><?=$row->whatsapp;?></td>
                <td><?=$row->status;?></td>
                <td>
                    <a href="<?=base_url('dealer/edit/'.$row->id);?>" class="btn btn-primary btn-xs">Edit</a>
                </td>
                <?php if($this->session->userdata('sess_cust_type') == '1'){ ?>
                <td>
                  <?php if($row->status == 'Active'){ ?>
                    <a href="<?=base_url('dealer/inactive/'.$row->id);?>" class="btn btn-warning btn-xs">InActive</a>
                  <?php } else { ?>
                    <a href="<?=base_url('dealer/active/'.$row->id);?>" class="btn btn-success btn-xs">Active</a>
                  <?php } ?>
                </td>
                <td>
                    <a href="#" class="btn btn-danger btn-xs" data-href="<?=base_url('dealer/delete/'.$row->id);?>" data-toggle="modal" data-target="#confirm-delete">Delete</a>
                </td>
                <?php } ?>
              </tr>
              <?php ++$i; } ?>
              
            </tbody>
            </table>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  


  <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">Delete Confirmation</h4>
            </div>
            <div class="modal-body">
                <p>Are you sure want to delete this item?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <a class="btn btn-danger btn-ok">Delete</a>
            </div>
        </div>
    </div>
</div>