

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Canceled/Returned Order</h5>
              </div>
              <div class="col-md-6 text-right">
                  
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
              

            <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr class="bg-blue-head">
                <th width="1">SNo.</th>
                <th>OrdForUId</th>
                <th>OrderFor</th>
                <th>Package</th>
                <th>Price</th>
                <th>PayRec</th>
                <th>Distributer</th>
                <th>Comments</th>
                <th>OrderDate</th>
                <th>Status</th>
                <th width="1"></th>
                <?php if( $this->session->userdata('sess_cust_type') == '1'){ ?>
                <th width="1"></th>
                <?php } ?>
                <?php if( $this->session->userdata('sess_cust_type') == '4' || $this->session->userdata('sess_cust_type') == '3'){ ?>
                <th width="1"></th>
                <?php } ?>
              </tr>
              </thead>
              <tbody>
              <?php
                $i=1;
                if($this->session->userdata('sess_cust_type') == '2'){
                  $sqlQry = " AND b.distributer = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '3'){
                  $sqlQry = " AND b.dealer = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '4'){
                  $sqlQry = " AND b.csc = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '5'){
                  $sqlQry = " AND b.id = '".$this->session->userdata('sess_id')."'";
                } else {
                  $sqlQry = " ";
                }
                $sql = $this->db->query("SELECT a.*, b.name as cst_name FROM tbl_enquiry a, tbl_user b WHERE a.users = b.id {$sqlQry} AND a.status = 'Canceled' ORDER BY a.id DESC");
                foreach($sql->result() as $row){
              ?>
              <tr>
                <td class="text-center"><?=$i;?></td>
                <td class="text-center">LENTO<?=$row->cst_id;?></td>
                <td><?=$row->cst_name;?></td>
                <td>
                  <?php
                    $sql1 = $this->db->query("SELECT name, price FROM tbl_package WHERE id = '".$row->package."'");
                    foreach($sql1->result() as $row1){
                      echo $row1->name;
                      $price = $row1->price;
                    }
                  ?>
                </td>
                <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->price);?></td>
                <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->tot_received);?></td>
                <td>
                  <?php
                    $sql1 = $this->db->query("SELECT name, address FROM tbl_user WHERE id = '".$row->distributer."'");
                    foreach($sql1->result() as $row1){
                      echo $row1->name;
                      $address = $row1->address;
                    }
                  ?>
                </td>
                <td><?=$row->comments;?></td>
                <td><?=$row->add_date;?></td>
                <td><?=$row->status;?></td>
                <td>
                    <a href="<?=base_url('enquiry/reply/'.$row->id);?>" class="btn btn-primary btn-xs">Reply</a>
                </td>
               
                <?php if( $this->session->userdata('sess_cust_type') == '1'){ ?>
                <td>
                    <a href="#" class="btn btn-danger btn-xs" data-href="<?=base_url('enquiry/delete/'.$row->id);?>" data-toggle="modal" data-target="#confirm-delete">Delete</a>
                </td>
                <?php } ?>
                <?php if( $this->session->userdata('sess_cust_type') == '4' || $this->session->userdata('sess_cust_type') == '3'){ ?>
                <td>
                  <?php if($row->cancel_request == '1'){ ?>
                    <a href="#" class="btn btn-success btn-xs">Cancel&nbsp;Request&nbsp;Sent</a>
                  <?php } else { ?>
                    <a href="#" class="btn btn-danger btn-xs" data-href="<?=base_url('enquiry/cancel/'.$row->id);?>" data-toggle="modal" data-target="#confirm-close">Cancel&nbsp;Request</a>
                  <?php } ?>
                </td>
                <?php } ?>
              </tr>
              <?php ++$i; } ?>
              
            </tbody>
            </table>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  


  <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">Delete Confirmation</h4>
            </div>
            <div class="modal-body">
                <p>Are you sure want to delete this item?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <a class="btn btn-danger btn-ok">Delete</a>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="confirm-close" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">Cancel Confirmation</h4>
            </div>
            <div class="modal-body">
                <p>Are you sure want to Cancel/Return this Order?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <a class="btn btn-danger btn-ok">Cancel/Return Order</a>
            </div>
        </div>
    </div>
</div>