

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Manage Package Order</h5>
              </div>
              <div class="col-md-6 text-right">
                  <a class="btn btn-primary btn-xs" href="<?=base_url('enquiry/add');?>">Add New Package Order</a>
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
              
            <div class="table-responsive">
            <table id="example1" class="table table-bordered table-striped ">
              <thead>
              <tr class="bg-blue-head">
                <th width="1">SNo.</th>
                <th width="1">OID.</th>
                <th>OrdForUId</th>
                <th>OrderFor</th>
                <th>Package</th>
                <th>Price</th>
                <th>PayRec</th>
                <th>Balance</th>
                <?php if( $this->session->userdata('sess_cust_type') == '1' || $this->session->userdata('sess_cust_type') == '2'){ ?>
                <th>CommissionDist</th>
                <th>CommRecDist</th>
                <?php } ?>
                <?php if( $this->session->userdata('sess_cust_type') == '1' || $this->session->userdata('sess_cust_type') == '2' || $this->session->userdata('sess_cust_type') == '3'){ ?>
                <th>CommissionDealer</th>
                <th>CommRecDealer</th>
                <?php } ?>
                <?php if( $this->session->userdata('sess_cust_type') == '1' || $this->session->userdata('sess_cust_type') == '2' || $this->session->userdata('sess_cust_type') == '3' || $this->session->userdata('sess_cust_type') == '4'){ ?>
                <th>CommissionCSC</th>
                <th>CommRecCSC</th>
                <?php } ?>
                <th>Distributer</th>
                <th>Dealer</th>
                <th>CSC</th>
                <th>Comments</th>
                <th>OrderDate</th>
                <th>Status</th>
                <th width="1"></th>
                <th width="1"></th>
                <?php if( $this->session->userdata('sess_cust_type') == '1'){ ?>
                <th width="1"></th>
                <th width="1"></th>
                <?php } ?>
                <?php if( $this->session->userdata('sess_cust_type') == '4' || $this->session->userdata('sess_cust_type') == '3'){ ?>
                <th width="1"></th>
                <?php } ?>
              </tr>
              </thead>
              <tbody>
              <?php
                $i=1;
                if($this->session->userdata('sess_cust_type') == '2'){
                  $sqlQry = " AND b.distributer = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '3'){
                  $sqlQry = " AND b.dealer = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '4'){
                  $sqlQry = " AND b.csc = '".$this->session->userdata('sess_id')."'";
                } else if($this->session->userdata('sess_cust_type') == '5'){
                  $sqlQry = " AND b.id = '".$this->session->userdata('sess_id')."'";
                } else {
                  $sqlQry = " ";
                }
                $sql = $this->db->query("SELECT a.*, b.id as cst_id, b.title as cst_title, b.name as cst_name FROM tbl_enquiry a, tbl_user b WHERE a.users = b.id {$sqlQry} ORDER BY a.id DESC");
                foreach($sql->result() as $row){
              ?>
              <tr>
                <td class="text-center"><?=$i;?> <span class="badge badge-warning" data-toggle="tooltip" data-placement="right" title="Notification"><?=$row->notification;?></span></td>
                <td class="text-center">SAPSONO<?=$row->id;?></td>
                <td class="text-center">SAPSON<?=$row->cst_id;?></td>
                <td><?=$row->cst_title;?> <?=$row->cst_name;?></td>
                <td>
                  <?php
                    $sql1 = $this->db->query("SELECT name, price FROM tbl_package WHERE id = '".$row->package."'");
                    foreach($sql1->result() as $row1){
                      echo $row1->name;
                      $price = $row1->price;
                    }
                  ?>
                </td>
                <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->price);?></td>
                <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->tot_received);?></td>
                <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->price-$row->tot_received);?></td>
                <?php if( $this->session->userdata('sess_cust_type') == '1' || $this->session->userdata('sess_cust_type') == '2'){ ?>
                  <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->commission_dist);?></td>
                  <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->commission_rcvd_dist);?></td>
                <?php } ?>
                <?php if( $this->session->userdata('sess_cust_type') == '1' || $this->session->userdata('sess_cust_type') == '2' || $this->session->userdata('sess_cust_type') == '3'){ ?>
                  <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->commission_dealer);?></td>
                  <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->commission_rcvd_dealer);?></td>
                <?php } ?>
                <?php if( $this->session->userdata('sess_cust_type') == '1' || $this->session->userdata('sess_cust_type') == '2' || $this->session->userdata('sess_cust_type') == '3' || $this->session->userdata('sess_cust_type') == '4'){ ?>
                  <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->commission_csc);?></td>
                  <td class="text-center"><span class="fa fa-inr"></span> <?=number_format($row->commission_rcvd_csc);?></td>
                <?php } ?>
                <td>
                  <?php
                    $sql1 = $this->db->query("SELECT title,name FROM tbl_user WHERE id = '".$row->distributer."'");
                    foreach($sql1->result() as $row1){
                      echo $row1->title . ' '.$row1->name;
                    }
                  ?>
                </td>
                <td>
                  <?php
                    $sql1 = $this->db->query("SELECT title, name FROM tbl_user WHERE id = '".$row->dealer."'");
                    foreach($sql1->result() as $row1){
                      echo $row1->title . ' '.$row1->name;
                    }
                  ?>
                </td>
                <td>
                  <?php
                    $sql1 = $this->db->query("SELECT title, name FROM tbl_user WHERE id = '".$row->csc."'");
                    foreach($sql1->result() as $row1){
                      echo $row1->title . ' '.$row1->name;
                    }
                  ?>
                </td>
                <td><?=$row->comments;?></td>
                <td><?=$row->add_date;?></td>
                <td><?=$row->status;?></td>
                <td>
                    <a href="<?=base_url('enquiry/pi/'.$row->id);?>" class="btn btn-success btn-xs">PI</a>
                </td>


                <td>
                    <a href="<?=base_url('enquiry/reply/'.$row->id);?>" class="btn btn-primary btn-xs">Reply</a>
                </td>
               
                <?php if( $this->session->userdata('sess_cust_type') == '1'){ ?>
                <td>
                    <a class="btn btn-warning btn-xs" href="<?=base_url('enquiry/edit/'.$row->id);?>">Edit</a>
                </td>
                <td>
                    <a href="#" class="btn btn-danger btn-xs" data-href="<?=base_url('enquiry/delete/'.$row->id);?>" data-toggle="modal" data-target="#confirm-delete">Delete</a>
                </td>
                <?php } ?>
                <?php if( $this->session->userdata('sess_cust_type') == '4' || $this->session->userdata('sess_cust_type') == '3'){ ?>
                <td>
                  <?php if($row->cancel_request == '1'){ ?>
                    <a href="#" class="btn btn-success btn-xs">Cancel&nbsp;Request&nbsp;Sent</a>
                  <?php } else { ?>
                    <a href="#" class="btn btn-danger btn-xs" data-href="<?=base_url('enquiry/cancel/'.$row->id);?>" data-toggle="modal" data-target="#confirm-close">Cancel&nbsp;Request</a>
                  <?php } ?>
                </td>
                <?php } ?>
              </tr>
              <?php ++$i; } ?>
              
            </tbody>
            </table>
            </div>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  


  <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">Delete Confirmation</h4>
            </div>
            <div class="modal-body">
                <p>Are you sure want to delete this item?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <a class="btn btn-danger btn-ok">Delete</a>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="confirm-close" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">Cancel Confirmation</h4>
            </div>
            <div class="modal-body">
                <p>Are you sure want to Cancel/Return this Order?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <a class="btn btn-danger btn-ok">Cancel/Return Order</a>
            </div>
        </div>
    </div>
</div>