
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?=$meta_title;?></title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Bootstrap4 Duallistbox -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
  <!-- summernote -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/summernote/summernote-bs4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>dist/css/adminlte.min.css">
  <link href="<?=base_url('assets/');?>style.css" rel="stylesheet">
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="<?=base_url();?>" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>

    

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Messages Dropdown Menu -->
      

      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <?=$this->session->userdata('sess_name');?>
        </a>
      </li>
      
      
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="<?=base_url('home/logout');?>" role="button">
          <i class="fas fa fa-sign-out"></i>
        </a>
      </li>
      
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar main-sidebar-custom sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    

    <a href="<?=base_url();?>" class="brand-link">
      <img src="<?=base_url('assets/lento-logo1.png');?>" alt="Logo">
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      

      

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          
          
          <li class="nav-item">
            <a href="<?=base_url();?>" class="nav-link <?php if($menu == 'home'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
              </p>
            </a>
          </li>

          <?php
          $cust_type = $this->session->userdata('sess_cust_type');
          if($cust_type == '1'){
          ?>

          <li class="nav-item <?php if($menu == 'location'){ echo "menu-open"; } ?>">
            <a href="#" class="nav-link <?php if($menu == 'location'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
              Manage Location
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="<?=base_url('location/countries');?>" class="nav-link <?php if($submenu == 'country'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Countries</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('location/states');?>" class="nav-link <?php if($submenu == 'state'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>States</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('location/cities');?>" class="nav-link <?php if($submenu == 'city'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>District</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('location/tehsils');?>" class="nav-link <?php if($submenu == 'tehsil'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Tehsil</p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="<?=base_url('location/blocks');?>" class="nav-link <?php if($submenu == 'block'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Block</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('location/villages');?>" class="nav-link <?php if($submenu == 'village'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Village</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('villages/excels');?>" class="nav-link <?php if($submenu == 'excels'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Excel Upload</p>
                </a>
              </li>
              
            </ul>
          </li>

          <li class="nav-item">
            <a href="<?=base_url('package/add');?>" class="nav-link <?php if($menu == 'package'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Manage Packages
              </p>
            </a>
          </li>

          <li class="nav-item <?php if($menu == 'enquiry'){ echo "menu-open"; } ?>">
            <a href="#" class="nav-link <?php if($menu == 'enquiry'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
              Manage Package Order
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="<?=base_url('enquiry/view');?>" class="nav-link <?php if($submenu == 'all'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>All Order</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('enquiry/confirm');?>" class="nav-link <?php if($submenu == 'confirm'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Confirm Order</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('enquiry/today');?>" class="nav-link <?php if($submenu == 'today'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Today's Order</p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="<?=base_url('enquiry/req_return');?>" class="nav-link <?php if($submenu == 'req_return'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Cancel/Return Request</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('enquiry/can_return');?>" class="nav-link <?php if($submenu == 'can_return'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Cancel/Return Order</p>
                </a>
              </li>
              
            </ul>
          </li>

          <li class="nav-item">
            <a href="<?=base_url('support/view');?>" class="nav-link <?php if($menu == 'support'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Support
              </p>
            </a>
          </li>

          
          
          <li class="nav-item <?php if($menu == 'user'){ echo "menu-open"; } ?>">
            <a href="#" class="nav-link <?php if($menu == 'user'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-user"></i>
              <p>
              User Management
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="<?=base_url('customer/view');?>" class="nav-link <?php if($submenu == 'customer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Customer</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('csc/view');?>" class="nav-link <?php if($submenu == 'csc'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage CSC Center</p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="<?=base_url('dealer/view');?>" class="nav-link <?php if($submenu == 'dealer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Dealer</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('distributer/view');?>" class="nav-link <?php if($submenu == 'distributer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Distributers</p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="<?=base_url('users/view');?>" class="nav-link <?php if($submenu == 'user'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Administrator</p>
                </a>
              </li>
            </ul>
          </li>

          <?php } ?>

          <?php if($cust_type == '2'){ ?>
          <li class="nav-item <?php if($menu == 'enquiry'){ echo "menu-open"; } ?>">
            <a href="#" class="nav-link <?php if($menu == 'enquiry'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
              Manage Package Order
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="<?=base_url('enquiry/view');?>" class="nav-link <?php if($submenu == 'all'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>All Order</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('enquiry/confirm');?>" class="nav-link <?php if($submenu == 'confirm'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Confirm Order</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('enquiry/today');?>" class="nav-link <?php if($submenu == 'today'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Today's Order</p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="<?=base_url('enquiry/req_return');?>" class="nav-link <?php if($submenu == 'req_return'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Cancel/Return Request</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('enquiry/can_return');?>" class="nav-link <?php if($submenu == 'can_return'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Cancel/Return Order</p>
                </a>
              </li>
              
            </ul>
          </li>
          

          <li class="nav-item">
            <a href="<?=base_url('support/view');?>" class="nav-link <?php if($menu == 'support'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Support
              </p>
            </a>
          </li>

          
          
          <li class="nav-item <?php if($menu == 'user'){ echo "menu-open"; } ?>">
            <a href="#" class="nav-link <?php if($menu == 'user'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-user"></i>
              <p>
              User Management
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="<?=base_url('customer/view');?>" class="nav-link <?php if($submenu == 'customer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Customer</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('csc/view');?>" class="nav-link <?php if($submenu == 'csc'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage CSC Center</p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="<?=base_url('dealer/view');?>" class="nav-link <?php if($submenu == 'dealer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Dealer</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('distributer/view');?>" class="nav-link <?php if($submenu == 'distributer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Distributers</p>
                </a>
              </li>
              
            </ul>
          </li>
          <?php } ?>

          <?php if($cust_type == '3'){ ?>

            <li class="nav-item">
            <a href="<?=base_url('enquiry/view');?>" class="nav-link <?php if($menu == 'enquiry'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Manage Package Order
              </p>
            </a>
          </li>

          <li class="nav-item">
            <a href="<?=base_url('support/view');?>" class="nav-link <?php if($menu == 'support'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Support
              </p>
            </a>
          </li>


            <li class="nav-item <?php if($menu == 'user'){ echo "menu-open"; } ?>">
            <a href="#" class="nav-link <?php if($menu == 'user'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-user"></i>
              <p>
              User Management
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
            <li class="nav-item">
                <a href="<?=base_url('customer/view');?>" class="nav-link <?php if($submenu == 'customer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Customer</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('csc/view');?>" class="nav-link <?php if($submenu == 'csc'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage CSC Center</p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="<?=base_url('dealer/view');?>" class="nav-link <?php if($submenu == 'dealer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Dealer</p>
                </a>
              </li>
            </ul>
          </li>

          <?php } else if($cust_type == '4'){ ?>

            <li class="nav-item">
            <a href="<?=base_url('enquiry/view');?>" class="nav-link <?php if($menu == 'enquiry'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Manage Package Order
              </p>
            </a>
          </li>

          <li class="nav-item">
            <a href="<?=base_url('support/view');?>" class="nav-link <?php if($menu == 'support'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Support
              </p>
            </a>
          </li>


            <li class="nav-item <?php if($menu == 'user'){ echo "menu-open"; } ?>">
            <a href="#" class="nav-link <?php if($menu == 'user'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-user"></i>
              <p>
              User Management
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
            <li class="nav-item">
                <a href="<?=base_url('customer/view');?>" class="nav-link <?php if($submenu == 'customer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Customer</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="<?=base_url('csc/view');?>" class="nav-link <?php if($submenu == 'csc'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage CSC Center</p>
                </a>
              </li>
              
              
            </ul>
          </li>
          <?php } else if($cust_type == '5'){ ?>

          <li class="nav-item">
            <a href="<?=base_url('enquiry/view');?>" class="nav-link <?php if($menu == 'enquiry'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Manage Package Order
              </p>
            </a>
          </li>

          <li class="nav-item">
            <a href="<?=base_url('support/view');?>" class="nav-link <?php if($menu == 'support'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-edit"></i>
              <p>
                Support
              </p>
            </a>
          </li>


            <li class="nav-item <?php if($menu == 'user'){ echo "menu-open"; } ?>">
            <a href="#" class="nav-link <?php if($menu == 'user'){ echo "active"; } ?>">
              <i class="nav-icon fas fa-user"></i>
              <p>
              User Management
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
            <li class="nav-item">
                <a href="<?=base_url('customer/view');?>" class="nav-link <?php if($submenu == 'customer'){ echo "active"; } ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manage Customer</p>
                </a>
              </li>
            </ul>
          </li>

          <?php } ?>
          
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->

    <div class="sidebar-custom">
      <a href="#" class="btn btn-link"><i class="fas fa-cogs"></i></a>
      <a href="#" class="btn btn-secondary hide-on-collapse pos-right">Help</a>
    </div>
    <!-- /.sidebar-custom -->
  </aside>

<!----------Header End ----------->



