

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Add Package</h5>
              </div>
              <div class="col-md-6 text-right">
                  
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
            
            <form class="validateForm" method="post" action="<?=base_url('package/addPackageName');?>" enctype="multipart/form-data">
            <div class="row">
                <div class="col-md-3">
                  <div class="form-group">
                    <label> Name</label>
                    <input type="text" required name="name" class="form-control" >
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Price</label>
                    <input type="number" required name="price" class="form-control" >
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Commission</label>
                    <div class="row">
                      <div class="col-md-5">
                        <select class="form-control select2" name="comm_type">
                          <option value="">Select</option>
                          <option value="Flat">Flat</option>
                          <option value="Percentage">Percentage</option>
                        </select>
                      </div>
                      <div class="col-md-7">
                        <input type="number" step="any" name="comm_val" class="form-control" >
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Image</label>
                    <input type="file" name="photo" class="form-control">
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label>Description</label>
                    <textarea class="summernote" name="description"></textarea>
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <input type="submit" class="btn btn-primary btn-sm" value="Submit" >
                  </div>
                </div>
                
              
            </div>
            </form>
            
          </div>
          <div class="card-footer">

          </div>
        </div>


        <!------------->
        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-12">
                <h5 class="card-title m-0"> Package Lists</h5>
              </div>
              
            </div>
          </div>
          <div class="card-body">
            
          <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr class="bg-blue-head">
                <th width="1">SNo.</th>
                <th>Name</th>
                <th width="1">Price</th>
                <th width="1">CommType</th>
                <th width="1">CommVal</th>
                <th width="100">Image</th>
                <th>Description</th>
                <th width="1"></th>
                <th width="1"></th>
              </tr>
              </thead>
              <tbody>
              <?php
                $i=1;
                $sql = $this->db->query("SELECT * FROM tbl_package WHERE 1 ORDER BY id DESC ");
                foreach($sql->result() as $row){
              ?>
              <tr>
                <td class="text-center"><?=$i;?></td>
                <td><?=$row->name;?></td>
                <td class="text-center"><span class="fa fa-inr"></span><?=number_format($row->price);?></td>
                <td class="text-center"><?=$row->comm_type;?></td>
                <td class="text-center"><span class="fa fa-inr"></span><?=number_format($row->comm_val);?></td>
                <td class="text-center">
                  <img src="<?=base_url('assets/uploads/'.$row->image);?>" style="width: 100px;">
                </td>
                <td class="text-center"><?=$row->description;?></td>
                <td>
                    <a href="<?=base_url('package/edit/'.$row->id);?>" class="btn btn-primary btn-xs">Edit</a>
                </td>
                <td>
                    <a href="#" class="btn btn-danger btn-xs" data-href="<?=base_url('package/delete/'.$row->id);?>" data-toggle="modal" data-target="#confirm-delete">Delete</a>
                </td>
              </tr>
              <?php ++$i; } ?>
              
            </tbody>
            </table>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  



  <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">Delete Confirmation</h4>
            </div>
            <div class="modal-body">
                <p>Are you sure want to delete this item?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <a class="btn btn-danger btn-ok">Delete</a>
            </div>
        </div>
    </div>
</div>