

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <br>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">


        <div class="card card-primary card-outline">
          <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <h5 class="card-title m-0">Add User</h5>
              </div>
              <div class="col-md-6 text-right">
                  <a class="btn btn-primary btn-xs" href="<?=base_url('users/view');?>">Manage User</a>
              </div>
            </div>
          </div>
          <div class="card-body">
            <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
            <?php } ?>
            <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
            <?php } ?>
            
            <form class="validateForm" method="post" action="<?=base_url('users/addUsers');?>">
            <div class="row">
                <div class="col-md-6 offset-2">
                  <div class="form-group">
                    <label> Name</label>
                    <input type="text" required name="name" class="form-control" >
                  </div>
                  <div class="form-group">
                    <label>Email</label>
                    <input type="email" required name="email" class="form-control" >
                  </div>
                  <div class="form-group">
                    <label>Phone</label>
                    <input type="tel" required name="phone" class="form-control" pattern="[1-9]{1}[0-9]{9}" >
                  </div>
                  <div class="form-group">
                    <label>Password</label>
                    <input type="password" required name="password" class="form-control" >
                  </div>
                  <div class="form-group">
                    <label>Status</label>
                    <select name="status" class="form-control select2">
                      <option value="Active">Active</option>
                      <option value="Inactive">Inactive</option>
                    </select>
                  </div>
                  <div class="form-group">
                    <label></label>
                    <input type="submit" class="btn btn-primary" value="Submit" >
                  </div>
                </div>
                
              
            </div>
            </form>
            
          </div>
          <div class="card-footer">

          </div>
        </div>

        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  


